Package org.drinkless.tdlib

# Class TdApi.InputStoryAreaTypeLocation

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InputStoryAreaType
org.drinkless.tdlib.TdApi.InputStoryAreaTypeLocation

Enclosing class:
  `TdApi`

public static class TdApi.InputStoryAreaTypeLocation extends TdApi.InputStoryAreaType
An area pointing to a location.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InputStoryAreaType

  `TdApi.InputStoryAreaType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.LocationAddress`
  `address`
  Address of the location; pass null if unknown.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.Location`
  `location`
  The location.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputStoryAreaTypeLocation()`
  An area pointing to a location.
  `InputStoryAreaTypeLocation(TdApi.Location location, TdApi.LocationAddress address)`
  An area pointing to a location.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### location

    public TdApi.Location location
    The location.

  - ### address

    public TdApi.LocationAddress address
    Address of the location; pass null if unknown.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InputStoryAreaTypeLocation

    public InputStoryAreaTypeLocation()
    An area pointing to a location.

  - ### InputStoryAreaTypeLocation

    public InputStoryAreaTypeLocation(TdApi.Location location, TdApi.LocationAddress address)
    An area pointing to a location.
    Parameters:
      `location` - The location.
      `address` - Address of the location; pass null if unknown.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InputStoryAreaType`
    Returns:
      this.CONSTRUCTOR